<!DOCTYPE html>
<html class="writer-html5" lang="pt-br" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>GEQT - Sistema de Gestão de Equipamentos &mdash; Arquitetura da Informação - Secretaria de educação da Prefeitura de Recife. 1.0.0 documentation</title>
      <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/sphinxcontrib-images/LightBox2/lightbox2/dist/css/lightbox.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/css/custom.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
        <script src="../../_static/jquery.js"></script>
        <script src="../../_static/underscore.js"></script>
        <script src="../../_static/doctools.js"></script>
        <script src="../../_static/sphinxcontrib-images/LightBox2/lightbox2/dist/js/lightbox-plus-jquery.min.js"></script>
        <script src="../../_static/sphinxcontrib-images/LightBox2/lightbox2-customize/jquery-noconflict.js"></script>
    <script src="../../_static/js/theme.js"></script>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="Matrícula Online" href="matricula.html" />
    <link rel="prev" title="Análise técnica dos sistemas da Secretaria de Educação da Prefeitura do Recife." href="../../index.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="../../index.html" class="icon icon-home"> Arquitetura da Informação - Secretaria de educação da Prefeitura de Recife.
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Sistemas pedagógicos</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="current reference internal" href="#">GEQT - Sistema de Gestão de Equipamentos</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#perfis-de-usuario">Perfis de usuário</a></li>
<li class="toctree-l2"><a class="reference internal" href="#principais-funcionalidades">Principais funcionalidades</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#cadastro-de-parametros">Cadastro de Parâmetros</a></li>
<li class="toctree-l3"><a class="reference internal" href="#cadastro-de-equipamentos">Cadastro de Equipamentos</a></li>
<li class="toctree-l3"><a class="reference internal" href="#cadastro-de-almoxarifado">Cadastro de Almoxarifado</a></li>
<li class="toctree-l3"><a class="reference internal" href="#inventario">Inventario</a></li>
<li class="toctree-l3"><a class="reference internal" href="#localizacao-sele">Localização (SELE)</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#requisitos-e-arquitetura-de-software">Requisitos e Arquitetura de Software</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#modelagem-de-casos-de-uso">Modelagem de casos de uso</a></li>
<li class="toctree-l3"><a class="reference internal" href="#modelagem-c4">Modelagem C4</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="matricula.html">Matrícula Online</a></li>
<li class="toctree-l1"><a class="reference internal" href="saap.html">SAAP - Sistema de Acompanhamento de Ações Pedagógicas</a></li>
<li class="toctree-l1"><a class="reference internal" href="sadr.html">SADR - Sistema de avaliação diagnóstica</a></li>
<li class="toctree-l1"><a class="reference internal" href="sdcl.html">SDCL - Sistema de Diário de Classe</a></li>
<li class="toctree-l1"><a class="reference internal" href="segm.html">SEGM - Sistema de Gestão de Merendas</a></li>
<li class="toctree-l1"><a class="reference internal" href="segp.html">SEGP - Sistema de Gestão de Pessoas</a></li>
<li class="toctree-l1"><a class="reference internal" href="seinfra.html">SEINFRA - Sistema de Gerenciamento da Capacidade Instalada</a></li>
<li class="toctree-l1"><a class="reference internal" href="semeweb.html">SEMEWEB/SEGE - Sistema de Gestão Escolar</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Sistemas administrativos</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../administrativos/consist.html">Consist - Sistema de Folha de Pagamentos</a></li>
<li class="toctree-l1"><a class="reference internal" href="../administrativos/sofin.html">SOFIN - Sistema de Controle Orçamentário e Financeiro</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Conclusão</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../conclus%C3%A3o.html">Conclusão</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../index.html">Arquitetura da Informação - Secretaria de educação da Prefeitura de Recife.</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../../index.html" class="icon icon-home"></a> &raquo;</li>
      <li>GEQT - Sistema de Gestão de Equipamentos</li>
      <li class="wy-breadcrumbs-aside">
            <a href="../../_sources/sistemas/pedagogicos/geqt.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="geqt-sistema-de-gestao-de-equipamentos">
<h1>GEQT - Sistema de Gestão de Equipamentos<a class="headerlink" href="#geqt-sistema-de-gestao-de-equipamentos" title="Permalink to this headline"></a></h1>
<p>Sistema de Gestão de Equipamentos (GEQT) é um software desenvolvido em Java Servlet cujo objetivo é
gerenciar o parque tecnológico (computadores, tablets, monitores) da Secretaria de Educação da prefeitura do Recife.
Apesar de estar sendo utilizado com foco em equipamentos eletrônicos, o sistema poderia ser evoluido
para atender outras demandas de almoxerifado.
O GEQT ainda não entrou em produção e o controle dos equipamentos segue sendo feito em planilhas.
Apesar disso, a migração dos dados (uma média de dezesseis mil equipamentos) para o GEQT já está em andamento.
A plataforma foi desenvolvida pela empresa <a class="reference external" href="https://stefanini.com/pt-br">Stephanini</a>.</p>
<section id="perfis-de-usuario">
<h2>Perfis de usuário<a class="headerlink" href="#perfis-de-usuario" title="Permalink to this headline"></a></h2>
<ul class="simple">
<li><p><strong>Gestor geral</strong>: tem acesso a tudo do sistema.</p></li>
<li><p><strong>Gestor local</strong>: tem acesso aos materiais de uma unidade específica.</p></li>
<li><p><strong>Técnico</strong>: executa ações específicas dentro da Secretaria, como configurar equipamentos em uma
unidade.</p></li>
</ul>
</section>
<section id="principais-funcionalidades">
<h2>Principais funcionalidades<a class="headerlink" href="#principais-funcionalidades" title="Permalink to this headline"></a></h2>
<section id="cadastro-de-parametros">
<h3>Cadastro de Parâmetros<a class="headerlink" href="#cadastro-de-parametros" title="Permalink to this headline"></a></h3>
<ul class="simple">
<li><p>Permite cadastrar parâmetros que serão utilizados durante o cadastro de novos equipamentos. Alguns exemplos de parâmetros: fabricante do equipamento, modelo, tipo do equipamento/material, se é reastreavel ou não, entre outros.  Além dos parâmetros, é possível cadastrar a modalidade de aquisição. Se o modelo exige nota fiscal, no cadastro do equipamento o usuário tem que fazer o <em>upload</em> do documento.</p></li>
<li><p><strong>Cadastro de Nota Fiscal</strong>: é feito dependendo da modalidade do equipamento. Deve ser feito antes do cadastro do equipamento.</p></li>
</ul>
</section>
<section id="cadastro-de-equipamentos">
<h3>Cadastro de Equipamentos<a class="headerlink" href="#cadastro-de-equipamentos" title="Permalink to this headline"></a></h3>
<ul class="simple">
<li><p><strong>Cadastro de equipamento</strong>: o equipamento é cadastro inicialmente no almoxerifado da Secretaria. No cadastro, vários parâmetros são vinculados ao equipamento como garantia, estado do equipamento (novo, quebrado), fabricante, modelo, quantidade. O cadastro dos parâmetros deve ser feito anteriormente. Durante o cadastro do equipamento, o usuário pode cadastrar quantos identificadores (número serial) ele quiser, por exemplo, em uma compra de 20 computadores de um mesmo modelo. Vale ressaltar que para o sistema, um equipamento é todo objeto que pode ser identificado por um número serial/identificador. Objeto que não tem número serial é cadastrado de forma quantitativa: cabos, conectores, entre outros.</p></li>
<li><p><strong>Cadastro de espaço temporário</strong>: permite cadastrar eventos que irão receber equipamentos emprestados pela Secretaria.</p></li>
</ul>
</section>
<section id="cadastro-de-almoxarifado">
<h3>Cadastro de Almoxarifado<a class="headerlink" href="#cadastro-de-almoxarifado" title="Permalink to this headline"></a></h3>
<ul class="simple">
<li><p>Permite incluir novos almoxerifados na base. Todo equipamento precisa estar vinculado a um almoxerifado.</p></li>
</ul>
</section>
<section id="inventario">
<h3>Inventario<a class="headerlink" href="#inventario" title="Permalink to this headline"></a></h3>
<ul class="simple">
<li><p><strong>Vinculação de equipamento</strong>: vincula um equipamento com uma escola, professor ou aluno. O equipamento pode ser rastreado (isso é feito pelo SELE). O equipamento possui diversos status como: entregue, pendência de termo.</p></li>
<li><p>Permite visualizar ou consultar um equipamento.</p></li>
</ul>
</section>
<section id="localizacao-sele">
<h3>Localização (SELE)<a class="headerlink" href="#localizacao-sele" title="Permalink to this headline"></a></h3>
<p>É um subsistema dentro do GEQT. Ele tem uma arquitetura cliente-servidor em que o cliente é instalado no dispositivo. Quando o equipamento é ligado, o mesmo envia sua geolocalização para o servidor. Para que um equipamento seja rastreável, ele precisa ter um número serial.
- Permite acompanhar o histórico de localização do dispositivo.
- Permite o cadastro de alertas no sistema, para casos de furto, por exemplo.</p>
</section>
</section>
<section id="requisitos-e-arquitetura-de-software">
<h2>Requisitos e Arquitetura de Software<a class="headerlink" href="#requisitos-e-arquitetura-de-software" title="Permalink to this headline"></a></h2>
<p>Utilizaremos duas técnicas para avaliarmos o GEQT. A primeira é a modelagem de casos de uso, que permite
visualizar como atores interagem com as funcionalidades do sistema. O segundo é a modelagem
C4, que permite visualizar as fronteiras do sistema e com quais sistemas externos ele se comunica
para realizar suas operações.</p>
<section id="modelagem-de-casos-de-uso">
<h3>Modelagem de casos de uso<a class="headerlink" href="#modelagem-de-casos-de-uso" title="Permalink to this headline"></a></h3>
<p>O diagrama de casos de uso consolida as principais funcionalidades identificadas na etapa
de apresentação do sistema. Nota-se que o perfil Gestor Geral é quem
executa a maioria das funcionalidades. Depois que o sistema for lançado e ficar estável, o acesso aos gestores locais será aberto.</p>
<img alt="../../_images/12.png" src="../../_images/12.png" />
</section>
<section id="modelagem-c4">
<h3>Modelagem C4<a class="headerlink" href="#modelagem-c4" title="Permalink to this headline"></a></h3>
<p>Para entendermos as interações do SEMEWEB com outros sistemas e bases de dados da
Secretaria utilizaremos o modelo C4 para visualização de Arquitetura de Software. Para autenticar
no SEMEWEB o usuário precisa ter suas credenciais criadas na base EMAC. O Emac é um banco de dados
que gerencia todos os acessos aos sistemas mais antigos da Secretaria. Novos sistemas estão
utilizando o Conecta Recife. Uma vez verificada as credenciais, o usuário loga no sistema através de
sua interface <em>web</em>. A partir dai, o usuário (gestor geral) pode acessar as
funcionalidades apresentadas no modelo de casos de uso.</p>
<p>O SEMEWEB lê e escreve de um banco de dados único chamado SECE. O SECE é responsável por
armazenar os dados de todos os sistemas da Secretaria. Para cada sistema, regras SQL são criadas
para limitar em quais tabelas é possível escrever ou recuperar dados. No caso do GEQT a
lista de escolas e alunos, por exemplo, são tabelas acessadas apenas no modo de leitura.</p>
<p>Além da gestão de equipamentos e parâmetros, o GEQT possui um subsistema chamado SELE (Sistema de
Localização de Equipamentos). Este sistema é responsável por geolocalizar os equipamentos utilizando
o sistema do Google como intermediário. Quando um equipamento é instalado por um técnico, o mesmo
envia sua geolocalização para o GEQT. Através do sistema de localização também é possível abrir
chamados para a situação de furto do equipamento.</p>
<img alt="../../_images/21.png" src="../../_images/21.png" />
</section>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="../../index.html" class="btn btn-neutral float-left" title="Análise técnica dos sistemas da Secretaria de Educação da Prefeitura do Recife." accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="matricula.html" class="btn btn-neutral float-right" title="Matrícula Online" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2021, Pencillabs.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>